#
# spec file for package recordmydesktop
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           recordmydesktop
Version:        0.4.0
Release:        1.15
Summary:        Desktop Recorder
License:        GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://enselic.github.io/recordmydesktop/
Source:         https://github.com/Enselic/recordmydesktop/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  alsa-devel
BuildRequires:  jack-devel
BuildRequires:  libogg-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(popt)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
recordMyDesktop is a program that captures audio and video data from a Linux
desktop session, producing an Ogg-encapsulated Theora-Vorbis file. The main
goal is to be as unobstrusive as possible by proccessing only regions of the
screen that have changed.

%prep
%setup -q

%build
%configure --enable-jack=yes
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/recordmydesktop
%{_mandir}/man1/recordmydesktop.1%{?ext_man}

%changelog
* Fri May  7 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.4.0
  * Respect TMPDIR if set instead of always using /tmp
  * Fix crash when XFixesGetCursorImage() returns NULL
  * Fix video encoding with newer versions of libtheora by defaulting
    v_bitrate to 0
  * Change default ALSA device to "default"
  * Make --rescue work again
  * Completely reformat man page
  * Use libpopt for option parsing
- Drop upstream fixed patches
  * recordmydesktop-x11-includes.patch
  * recordmydesktop-gcc-includes.patch
  * recordmydesktop-sane-theora-defaults.patch
* Sat Oct  4 2014 dimstar@opensuse.org
- Add recordmydesktop-sane-theora-defaults.patch: use some saner
  Theora default values. Older Theora encoders simply ignored
  insane settings. The original defaults were 'Limit to 45kbit/s
  at highest quality (63)'. The new default is to set the highest
  quality, without bitrate limit (boo#780609).
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Clean up BuildRequires in line with what configure checks for and
  convert to pkgconfig where possible:
  + Drop xorg-x11-devel (metapackage), xorg-x11-libICE-devel,
    xorg-x11-libSM-devel and xorg-x11-libxext-devel.
  + Add pkgconfig() BuildRequires: ice, sm, x11, xdamage, xext and
    xfixes.
* Fri Apr  6 2012 vuntz@opensuse.org
- Replace License tag with spdx identifier (GPL-2.0).
* Mon Feb 14 2011 vuntz@opensuse.org
- Remove unneeded BuildRequires: autoconf, automake, gcc, gettext,
  gettext-devel, glibc-devel, intltool, jack, libtool, make.
- Add xorg-x11-libXext-devel BuildRequires.
* Fri Jan  7 2011 malcolmlewis@opensuse.org
- Add missing .changes.
- Spec file tidy up.
- Split out includes patch to build on < 11.3.
* Thu Oct  1 2009 pascal.bleser@opensuse.org
- update to 0.3.8.1
* Mon Nov 24 2008 guru@unixtech.be
- update to 0.3.8:
  * code has been refactored and cleaned up extensively to ease maintenance and bugfixes
  * fixed a cursor-flickering bug
  * fixed color-space conversion
  * improved detection of compositing window managers
  * libjack is now linked normally during compilation instead of being dlopened later
* Wed Mar 19 2008 guru@unixtech.be
- new upstream version
* Tue Dec 18 2007 guru@unixtech.be
- new upstream version
* Sun Sep  9 2007 guru@unixtech.be
- moved to Packman
* Sat Aug 18 2007 guru@unixtech.be
- new upstream version
* Fri Jul 20 2007 guru@unixtech.be
- new upstream version
* Mon Jul 16 2007 guru@unixtech.be
- new upstream version
* Thu Mar 29 2007 guru@unixtech.be
- new upstream version
- CHANGES: behavior of the program when using both the MIT-SHM and XDamage
  extensions was fixed: less memory is now required and all options related to
  conditional usage of shared memory are gone
* Mon Feb 12 2007 guru@unixtech.be
- use jack for recording
- new upstream version
* Mon Jan 22 2007 guru@unixtech.be
- new upstream version
* Mon Dec 18 2006 guru@unixtech.be
- new package
